Subject: bug#41524: 26.3; Request for 'x' for 'execute' in dired menu

From: Drew Adams <[email-masked]>
Date: Mon, 25 May 2020 08:05:25 -0700 (PDT)

> I was using dired recently after a very long break from it.
> 
> I marked some files for deletion, wasn't sure how to actually trigger
> the delete, had a suspicion it was 'x' but checked the menu anyway (I
> often use the menu merely as a handy cheat-sheet for the keyboard
> commands). It appears not to be there.
> 
> If it is actually missing I request it be added as it makes no sense
> for
> beginners, who may actually use the menu with the mouse, to be able to
> variously mark stuff but then lack a way of carrying them out.

Yes, `x' is not in a menu-bar menu.  It should be.

If you use Dired+, it is.  There, you have submenu
`Delete', with menu items `Delete Marked (not Flagged)'
and `Delete Flagged'.  The former has key `D', and the
latter has key `x'.

(In Dired+, menu-bar menu `Operate' is named `Multiple',
so submenu `Delete' is `Multiple > Delete', not `Operate
> Delete'.)